import { Camera3D, Node, Signal1 } from 'godot'
import { signal } from 'godot.annotations'

export default class MessageBus extends Node {
  private static _instance: MessageBus

  static get instance() {
    return MessageBus._instance
  }

  @signal()
  active_camera_changed!: Signal1<Camera3D>

  _ready(): void {
    MessageBus._instance = this
  }
}
